html {
    scroll-behavior: smooth;
}

body {
    color: #444;
    background-color: #f8f8f8;
    line-height: 1.6;
    font-family: Comfortaa, system-ui, sans-serif;
    font-size: 12pt;
    margin: 0;
    position: relative;
}

#all {
    box-sizing: border-box;
    max-width: 550pt;
    margin-left: auto;
    margin-right: auto;
    padding: 0 2rem;
}

#sidebar {
    padding: 0.5em;
    position: fixed;
    left: 0;
    top: 0;
    width: 200pt;
    box-sizing: border-box;
}

@media (width < 950pt) and (width >= 750pt) {
    #all {
        margin-left: 200pt;
    }
}

@media (width < 750pt) {
    #sidebar {
        background-color: #f8f8f8;
        height: 100%;
        /* Overlay the sidebar over page content */
        z-index: 1;
    }

    #sidebar:hover {
        border-right: #444 1px solid;
    }

    #sidebar:not(:hover) {
        margin-left: -180pt;
        padding-right: 20pt;
    }

    #sidebar:not(:hover)::before {
        content: '';
        position: absolute;
        right: .25em;
        top: 2em;
        height: 4em;
        width: 1.5em;
        background-image: url(expand.svg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
        border: 1px solid #999;
    }
}

#sidebar > * {
    margin-bottom: .5em;
}

#sidebar > :not(:first-child) {
    border-top: #999 1px solid;
    padding-top: .5em;
}

#sidebar > nav ol {
    padding-left: 1em;
    margin: 0;
    list-style: none;
}

#sidebar > nav > ol {
    padding-left: 0;
}

a {
    text-decoration: none;
    color: #444;
}

a:hover {
    text-decoration: underline;
}

#sidebar > nav a {
    color: #999;
}

#sidebar > nav a:hover {
    color: inherit;
}

[id="main"] a {
    color: rgb(232, 119, 0);
}

.gallery {
    margin: 1em 0;
    font-size: 16pt;
    font-family: Comfortaa, sans-serif;
}

.gallery > ul {
    padding: 0;
    margin: 0;
    list-style: none;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1em;
}

.gallery .gallery-thumb {
    position: relative;
    width: 100%;
    padding-top: 70%;
    margin-bottom: 0.5em;
    border: white 1px solid;
}

.gallery .gallery-thumb-inner {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
}

.gallery a {
    color: #444;
}

.gallery a:hover .gallery-thumb {
    border-color: #444;
}

footer {
    font-size: 11pt;
    margin-top: 1.5em;
    padding: 1.5em 0;
    border-top: #999 1px solid;
    color: #999;
}

footer p {
    margin: 0;
}

.heading-inner {
    position: relative;
    margin-left: -1.25em;
    padding-left: 1.25em;
}

a.heading-bookmark {
    position: absolute;
    left: 0;
    top: 0;
    display: none;
    height: 1em;
    width: 1em;
    background-image: url(link.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

a.heading-bookmark:hover {
    background-image: url(link-select.svg), url(link.svg);
    border-bottom: #444 1pt solid;
}

.heading-inner:hover > a.heading-bookmark {
    display: inline;
}

h2, h3, h4, h5, h6 {
    margin-top: 1.5em;
}

h1, h2, h3, h4, h5, h6 {
    font-family: Comfortaa, sans-serif;
}

#main {
    font-family: 'Open Sans', sans-serif;
}

#version-info {
    position: absolute;
    right: 0;
    bottom: 0;
    color: #999;
    font-size: 9pt;
    margin-right: 0.5ex;
}
